Bug 555552 - [abrt] monitor crash in check_still_connecting
Summary: [abrt] monitor crash in check_still_connecting
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:b287693c
Depends On:
Blocks: 556524
TreeView+ depends on / blocked
 
Reported: 2010-01-14 19:14 UTC by Claudio Rodrigo Pereyra DIaz
Modified: 2010-02-05 01:37 UTC (History)
2 users (show)

Fixed In Version: 1.1.16-13.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 556524 (view as bug list)
Environment:
Last Closed: 2010-02-05 01:35:17 UTC


Attachments (Terms of Use)
File: backtrace (389 bytes, text/plain)
2010-01-14 19:14 UTC, Claudio Rodrigo Pereyra DIaz
no flags Details

Description Claudio Rodrigo Pereyra DIaz 2010-01-14 19:14:54 UTC
abrt 1.0.3 detected a crash.

backtrace
-----
Summary: TBb287693c monitor.py:211:check_still_connecting:KeyError: u'HP1020-ADM033'

Traceback (most recent call last):
  File "/usr/share/system-config-printer/monitor.py", line 211, in check_still_connecting
    del self.connecting_timers[printer]
KeyError: u'HP1020-ADM033'

Local variables in innermost frame:
self: <monitor.Monitor instance at 0x7faf7000b4d0>
printer: HP1020-ADM033

cmdline: python /usr/share/system-config-printer/system-config-printer.py
component: system-config-printer
executable: /usr/share/system-config-printer/system-config-printer.py
kernel: 2.6.31.9-174.fc12.x86_64
package: system-config-printer-1.1.15-6.fc12
uuid: b287693c

Comment 1 Claudio Rodrigo Pereyra DIaz 2010-01-14 19:14:59 UTC
Created attachment 384419 [details]
File: backtrace

Comment 2 Tim Waugh 2010-01-15 11:31:10 UTC
It looks like the timeout function has been called without its event source ID being in our list.  However, we add it to the list as soon as it has been set, and remove it from the list whenever it is unset.  So I'm not really sure how this came about.

Can you remember what you were doing at the time?  How many print jobs were you printing, and to how many printers?  Were they connected at the time?

Comment 3 Fedora Update System 2010-01-18 17:45:34 UTC
system-config-printer-1.1.16-9.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/system-config-printer-1.1.16-9.fc11

Comment 4 Fedora Update System 2010-01-18 17:46:24 UTC
system-config-printer-1.1.16-9.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/system-config-printer-1.1.16-9.fc12

Comment 5 Fedora Update System 2010-01-19 19:33:46 UTC
system-config-printer-1.1.16-9.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0755

Comment 6 Fedora Update System 2010-01-19 19:39:52 UTC
system-config-printer-1.1.16-9.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-0776

Comment 7 Fedora Update System 2010-01-22 22:34:28 UTC
system-config-printer-1.1.16-11.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-0776

Comment 8 Fedora Update System 2010-01-22 22:36:35 UTC
system-config-printer-1.1.16-11.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0755

Comment 9 Fedora Update System 2010-01-27 01:03:18 UTC
system-config-printer-1.1.16-13.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0755

Comment 10 Fedora Update System 2010-01-27 01:04:19 UTC
system-config-printer-1.1.16-13.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-0776

Comment 11 Fedora Update System 2010-02-05 01:34:32 UTC
system-config-printer-1.1.16-13.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-02-05 01:36:29 UTC
system-config-printer-1.1.16-13.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.